const int irSense = A5;      // Analog pin A5
int distance = 0;

void setup() {
  Serial.begin(9600);    // Use Serial Monitor window
  delay(250);            // Wait 1/4 second to stabilize
}

void loop() {
  Serial.println(irRead(), DEC);
  delay(1000);           // Take one reading every second
}

int irRead() {
  int averaging = 0;
  // Sampling 5 readings from sensor
  for (int i=0; i<5; i++) {
    distance = analogRead(irSense);
    averaging = averaging + distance;
    delay(55);      // Wait 55 ms between each read
  }
  distance = averaging / 5;      // Average out readings
  return(distance);
}

